Bug 177246 - net/x2goclient: Update to version 4.0.0.4
Summary: net/x2goclient: Update to version 4.0.0.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-22 18:40 UTC by tkato432
Modified: 2013-03-25 08:40 UTC (History)
0 users

See Also:


Attachments
file.diff (1.29 KB, patch)
2013-03-22 18:40 UTC, tkato432
no flags Details | Diff
net_x2goclient.diff (2.47 KB, patch)
2013-03-23 19:24 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-03-22 18:40:01 UTC
- Update to version 4.0.0.4
Comment 1 Edwin Groothuis freebsd_committer 2013-03-22 18:40:25 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 tkato432 2013-03-23 19:24:56 UTC
Version 4.0.1.0 has been released.
Comment 3 dfilter service freebsd_committer 2013-03-25 08:38:39 UTC
Author: miwi
Date: Mon Mar 25 08:38:32 2013
New Revision: 315202
URL: http://svnweb.freebsd.org/changeset/ports/315202

Log:
  - Update to 4.0.1.0
  
  PR:		177246
  Submitted by:	ports fury

Modified:
  head/net/x2goclient/Makefile
  head/net/x2goclient/distinfo
  head/net/x2goclient/pkg-plist

Modified: head/net/x2goclient/Makefile
==============================================================================
--- head/net/x2goclient/Makefile	Mon Mar 25 08:19:08 2013	(r315201)
+++ head/net/x2goclient/Makefile	Mon Mar 25 08:38:32 2013	(r315202)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	x2goclient
-PORTVERSION=	4.0.0.3
+PORTVERSION=	4.0.1.0
 CATEGORIES=	net
 MASTER_SITES=	http://code.x2go.org/releases/source/x2goclient/
 
@@ -44,10 +44,6 @@ post-patch:
 		's|Q_OS_LINUX|Q_OS_UNIX| ; \
 		 /<linux\/fs.h>/s|^|//| ; \
 		 /#define USELDAP/s|^|//|'
-	@${REINPLACE_CMD} -e \
-		'/MACOSX/s|^|#|' ${WRKSRC}/x2goclient.pro
-	@${REINPLACE_CMD} -e \
-		's|/usr/bin/||' ${WRKSRC}/desktop/x2goclient.desktop
 
 do-configure:
 	@cd ${WRKSRC}; ${SETENV} ${CONFIGURE_ENV} ${QMAKE} ${QMAKEFLAGS}
@@ -62,7 +58,7 @@ do-install:
 	@${MKDIR} ${DESKTOPDIR}
 	${INSTALL_DATA} ${WRKSRC}/desktop/x2goclient.desktop \
 		${DESKTOPDIR}
-.for dir in 16x16 32x32 64x64 128x128
+.for dir in 16x16 32x32 48x48 64x64 128x128
 	@${MKDIR} ${PREFIX}/share/icons/hicolor/${dir}/apps
 	${INSTALL_DATA} ${WRKSRC}/icons/${dir}/x2goclient.png \
 		${PREFIX}/share/icons/hicolor/${dir}/apps

Modified: head/net/x2goclient/distinfo
==============================================================================
--- head/net/x2goclient/distinfo	Mon Mar 25 08:19:08 2013	(r315201)
+++ head/net/x2goclient/distinfo	Mon Mar 25 08:38:32 2013	(r315202)
@@ -1,2 +1,2 @@
-SHA256 (x2goclient-4.0.0.3.tar.gz) = 924173da382ee7a409488852936551c320d0597bcc2a57c50ce2125b93d6e78d
-SIZE (x2goclient-4.0.0.3.tar.gz) = 1240383
+SHA256 (x2goclient-4.0.1.0.tar.gz) = 3c72760f901ef6801529b9b5d8c3333002a53c65bdaeb9832f80d65f44665ed6
+SIZE (x2goclient-4.0.1.0.tar.gz) = 1323833

Modified: head/net/x2goclient/pkg-plist
==============================================================================
--- head/net/x2goclient/pkg-plist	Mon Mar 25 08:19:08 2013	(r315201)
+++ head/net/x2goclient/pkg-plist	Mon Mar 25 08:38:32 2013	(r315202)
@@ -4,6 +4,7 @@ share/applications/x2goclient.desktop
 share/icons/hicolor/128x128/apps/x2goclient.png
 share/icons/hicolor/16x16/apps/x2goclient.png
 share/icons/hicolor/32x32/apps/x2goclient.png
+share/icons/hicolor/48x48/apps/x2goclient.png
 share/icons/hicolor/64x64/apps/x2goclient.png
 %%DATADIR%%/icons/x2goclient.xpm
 %%DATADIR%%/icons/x2goclient.png
@@ -12,6 +13,8 @@ share/icons/hicolor/64x64/apps/x2goclien
 @dirrm %%DATADIR%%
 @dirrmtry share/icons/hicolor/64x64/apps
 @dirrmtry share/icons/hicolor/64x64
+@dirrmtry share/icons/hicolor/48x48/apps
+@dirrmtry share/icons/hicolor/48x48
 @dirrmtry share/icons/hicolor/32x32/apps
 @dirrmtry share/icons/hicolor/32x32
 @dirrmtry share/icons/hicolor/16x16/apps
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Martin Wilke freebsd_committer 2013-03-25 08:39:37 UTC
State Changed
From-To: open->closed

Committed. Thanks!